Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.report
Class XMLReport

    java.lang.Object
      com.sun.javatest.report.XMLReport

    public class XMLReport

extends java.lang.Object

XML report (dump).

Nested Class Summary
`static class` | `ReportFormat.ReportLink`

Constructor Summary
`XMLReport()`

Method Summary
`boolean` | `acceptSettings(ReportSettings s)`
`java.lang.String` | `getBaseDirName()`
`java.lang.String` | `getReportID()`
`java.util.List<com.sun.javatest.report.ReportFormat>` | `getSubReports()`
`java.lang.String` | `getTypeName()`
`ReportFormat.ReportLink` | `write(ReportSettings sett, java.io.File dir)`
`void` | `write(java.io.Writer w, ReportSettings sett)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLReport

    public XMLReport()

Method Detail

### write

    public ReportFormat.ReportLink write(ReportSettings sett,
                                         java.io.File dir)
                                  throws java.io.IOException

  Parameters:
    `sett` - Settings to use to create the report.
    `dir` - Directory in which the report output should be written.
  Returns:
    ReportLink object for the report file (used in report index)
  Throws:
    `java.io.IOException`

### getReportID

    public java.lang.String getReportID()

### getBaseDirName

    public java.lang.String getBaseDirName()

### getTypeName

    public java.lang.String getTypeName()

### acceptSettings

    public boolean acceptSettings(ReportSettings s)

### getSubReports

    public java.util.List<com.sun.javatest.report.ReportFormat> getSubReports()

### write

    public void write(java.io.Writer w,
                      ReportSettings sett)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.